com.ihr.xbrl.om.formula

## Enum EvaluationType

- java.lang.Object
- - java.lang.Enum<EvaluationType>
  - - com.ihr.xbrl.om.formula.EvaluationType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EvaluationType>

      public enum EvaluationType
      extends java.lang.Enum<EvaluationType>

  Evaluation Type is used in the XBRLVariableResourceUse class. That class handles evaluation of fact variables and non fact variables (generic variables and parameters).
  Author:
    Ignacio

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FACT` The evaluation of this fact variable results in a fact item.
    `FALLBACK` The fall back value assigned to this fact variable.
    `XDM` Any other XDM Atomic value or Sequence of Atomic values.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EvaluationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EvaluationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FACT

          public static final EvaluationType FACT

      The evaluation of this fact variable results in a fact item.

    - #### XDM

          public static final EvaluationType XDM

      Any other XDM Atomic value or Sequence of Atomic values.

    - #### FALLBACK

          public static final EvaluationType FALLBACK

      The fall back value assigned to this fact variable.

  - ### Method Detail

    - #### values

          public static EvaluationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EvaluationType c : EvaluationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EvaluationType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null